net.sf.okapi.common.resource

## Enum TextFragment.Marker

- java.lang.Object
- - java.lang.Enum<TextFragment.Marker>
  - - net.sf.okapi.common.resource.TextFragment.Marker

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextFragment.Marker>
  Enclosing class:
    TextFragment

      public static enum TextFragment.Marker
      extends java.lang.Enum<TextFragment.Marker>

  List of the marker types as an `Enum`. Makes it easy to manipulate Markers as an `EnumSet` FIXME: should convert all integer contants to enums at some point

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSING`
    `ISOLATED`
    `OPENING`
    `UNKOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextFragment.Marker` | `asEnum(int markerType)`
    `int` | `getMarkerType()`
    `static TextFragment.Marker` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextFragment.Marker[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPENING

          public static final TextFragment.Marker OPENING

    - #### CLOSING

          public static final TextFragment.Marker CLOSING

    - #### ISOLATED

          public static final TextFragment.Marker ISOLATED

    - #### UNKOWN

          public static final TextFragment.Marker UNKOWN

  - ### Method Detail

    - #### values

          public static TextFragment.Marker[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextFragment.Marker c : TextFragment.Marker.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextFragment.Marker valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMarkerType

          public int getMarkerType()

    - #### asEnum

          public static TextFragment.Marker asEnum(int markerType)